Bug 1771034 - graph-tool 2.29 does not build on s390x
Summary: graph-tool 2.29 does not build on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-graph-tool
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-s390x
TreeView+ depends on / blocked
 
Reported: 2019-11-11 18:34 UTC by Ankur Sinha (FranciscoD)
Modified: 2021-09-24 20:11 UTC (History)
2 users (show)

Fixed In Version: python-graph-tool-2.43-2.fc34 python-graph-tool-2.33-2.fc33 python-graph-tool-2.43-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-05 21:13:33 UTC
Type: Bug


Attachments (Terms of Use)
log for failed s390x build (316.56 KB, text/plain)
2019-11-11 18:34 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2019-11-11 18:34:09 UTC
Created attachment 1634970 [details]
log for failed s390x build

graph-tool 2.29 does not build on s390x. Could be a resource issue, it requires lots of memory for compilation. Full build log attached.

Comment 1 Dan Horák 2019-11-12 13:15:54 UTC
yes, same issue as on ppc64le, OOM.

Comment 2 Ankur Sinha (FranciscoD) 2019-11-12 14:43:57 UTC
Also a serial build here: make ... -j1

Comment 3 Ben Cotton 2020-11-03 15:47:56 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2021-02-09 15:13:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 5 Ben Cotton 2021-08-10 12:46:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 6 Fedora Update System 2021-08-29 11:48:22 UTC
FEDORA-2021-cd8f833d26 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cd8f833d26

Comment 7 Fedora Update System 2021-08-29 11:49:18 UTC
FEDORA-2021-8f48ba3c46 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8f48ba3c46

Comment 8 Fedora Update System 2021-08-29 17:52:20 UTC
FEDORA-2021-cd8f833d26 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cd8f833d26`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cd8f833d26

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-08-29 19:23:22 UTC
FEDORA-2021-8f48ba3c46 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8f48ba3c46`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8f48ba3c46

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-08-30 10:54:04 UTC
FEDORA-2021-7bae045fdb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7bae045fdb

Comment 11 Fedora Update System 2021-08-30 20:42:50 UTC
FEDORA-2021-7bae045fdb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7bae045fdb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7bae045fdb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-09-05 21:13:33 UTC
FEDORA-2021-8f48ba3c46 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-09-06 23:19:19 UTC
FEDORA-2021-7bae045fdb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-09-24 20:11:12 UTC
FEDORA-2021-cd8f833d26 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.